@import url("./global-config.css");

:root {
  --primary: rgb(24, 104, 255);
  --secondary: rgb(89, 109, 134);
  --tertiary: rgb(34, 57, 120);
  --success: rgb(86, 197, 104);
  --selected: rgb(30, 125, 240);
  --hint: rgb(255, 165, 0);
  --failure: rgb(235, 87, 87);
  --text: rgb(89, 109, 134);
  --text2: rgb(255, 255, 255);
  --text3: rgb(0, 23, 95);
  --text5: rgb(255, 255, 255);
  --textBtn: rgb(255, 255, 255);
  --border: rgb(216, 216, 216);
  --background1: rgb(255, 255, 255);
  --background2: rgb(233, 233, 233);
  --background3: linear-gradient(180deg, #34588a 0%, #203767 100%);
  --background4: rgb(0, 63, 183);
  --background5: rgb(15, 54, 107);

  --font-size: 14px;
  --default-width: 1200px;
  --register-bg: rgb(255, 255, 255);
  --primary-filter: brightness(0) saturate(100%) invert(29%) sepia(98%) saturate(1383%) hue-rotate(204deg) brightness(101%) contrast(106%);
  --secondary-filter: brightness(0) saturate(100%) invert(43%) sepia(8%) saturate(1243%) hue-rotate(174deg) brightness(94%) contrast(96%);
  --text5-filter: brightness(0) saturate(100%) invert(99%) sepia(16%) saturate(2%) hue-rotate(225deg) brightness(116%) contrast(100%);

  /* new color system enhancement */

  --primary-new: rgb(0, 178, 255);
  --secondary-new: rgb(255, 165, 0);
  --tertiary-new: rgb(0, 87, 255);
  --success-new: rgb(86, 197, 104);
  --selected-new: rgb(0, 194, 255);
  --hint-new: rgb(255, 165, 0);
  --failure-new: rgb(235, 87, 87);
  --text-new: rgb(78, 97, 122);
  --text2-new: rgb(255, 255, 255);
  --text3-new: rgb(169, 190, 255);
  --text4-new: rgb(255,255,255);
  --text5-new: rgb(255, 255, 255);
  --textBtn-new: rgb(255, 255, 255);
  --border-new: rgb(69, 113, 190);
  --background1-new: rgb(212, 226, 246);
  --background2-new: rgb(44, 70, 116);
  --background3-new: rgb(27,68,124);
  --background4-new: rgb(0, 63, 183);
  --background5-new: rgb(24, 57, 109);
}
